Loading...
Searching...
No Matches
juce::AndroidDocumentPermission Class Reference

## Detailed Description

Represents a permission granted to an application to read and/or write to a particular document or tree.

This class also contains static methods to request, revoke, and query the permissions of your app. These functions are no-ops on all platforms other than Android.

The documentation for this class was generated from the following file:

- juce_core/files/juce_AndroidDocument.h

## Public Member Functions

URL | getUrl () const
| The url of the document with persisted permissions.
int64 | getPersistedTime () const
| The time when the permissions were persisted, in milliseconds since January 1, 1970 00:00:00.0 UTC.
bool | isReadPermission () const
| True if the permission allows read access.
bool | isWritePermission () const
| True if the permission allows write access.

## Static Public Member Functions

static void | takePersistentReadWriteAccess (const URL &)
| Gives your app access to a particular document or tree, even after the device is rebooted.
static void | releasePersistentReadWriteAccess (const URL &)
| Revokes persistent access to a document or tree.
static std::vector< AndroidDocumentPermission > | getPersistedPermissions ()
| Returns all of the permissions that have previously been granted to the app, via takePersistentReadWriteAccess();.

## Member Functions

## getUrl()

URL juce::AndroidDocumentPermission::getUrl | ( |  | ) | const

inline

The url of the document with persisted permissions.

## getPersistedTime()

int64 juce::AndroidDocumentPermission::getPersistedTime | ( |  | ) | const

inline

The time when the permissions were persisted, in milliseconds since January 1, 1970 00:00:00.0 UTC.

## isReadPermission()

bool juce::AndroidDocumentPermission::isReadPermission | ( |  | ) | const

inline

True if the permission allows read access.

## isWritePermission()

bool juce::AndroidDocumentPermission::isWritePermission | ( |  | ) | const

inline

True if the permission allows write access.

## takePersistentReadWriteAccess()

void juce::AndroidDocumentPermission::takePersistentReadWriteAccess | ( | const URL & |  | ) |

static

Gives your app access to a particular document or tree, even after the device is rebooted.

If you want to persist access to a folder selected through a native file chooser, make sure to pass the exact URL returned by the file picker. Do NOT call AndroidDocument::fromTree and then pass the result of getUrl to this function, as the resulting URL may differ from the result of the file picker.

## releasePersistentReadWriteAccess()

void juce::AndroidDocumentPermission::releasePersistentReadWriteAccess | ( | const URL & |  | ) |

static

Revokes persistent access to a document or tree.

## getPersistedPermissions()

std::vector< AndroidDocumentPermission > juce::AndroidDocumentPermission::getPersistedPermissions | ( |  | ) |

static

Returns all of the permissions that have previously been granted to the app, via takePersistentReadWriteAccess();.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited